<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [FactionWorkTask](./bitburner.factionworktask.md)

## FactionWorkTask interface

Faction Work

**Signature:**

```typescript
export interface FactionWorkTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Remarks

An object representing the current work for a faction

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [factionName](./bitburner.factionworktask.factionname.md) |  | string |  |
|  [factionWorkType](./bitburner.factionworktask.factionworktype.md) |  | [FactionWorkType](./bitburner.factionworktype.md) |  |
|  [type](./bitburner.factionworktask.type.md) |  | "FACTION" |  |

